Home

Get delegation provider avatar

GET
https://egld-api.nownodes.io/providers/{provider}/avatar

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves the avatar image URL (or redirects to the image) associated with the given delegation provider contract. If the provider has an associated identity, the avatar from that identity is returned; otherwise a default or placeholder may be provided.

Parameters

providerstringrequiredpath

Delegation contract address in bech32 format

Response

200OK

Successful response (JSON containing avatar URL)